import request from '@/utils/request'

// 查询农渔水利-行政处罚列表
export function listPenalty(query) {
    return request({
        url: '/crmAgriFisheryWaterPenalty/findByPage',
        method: 'get',
        params: query
    })
}

// 查询农渔水利-行政处罚详细
export function getPenalty(id) {
    return request({
        url: '/crmAgriFisheryWaterPenalty/' + id,
        method: 'get'
    })
}

// 新增农渔水利-行政处罚
export function addPenalty(data) {
    return request({
        url: '/crmAgriFisheryWaterPenalty',
        method: 'post',
        data: data
    })
}

// 修改农渔水利-行政处罚
export function updatePenalty(data) {
    return request({
        url: '/crmAgriFisheryWaterPenalty',
        method: 'put',
        data: data
    })
}

// 删除农渔水利-行政处罚
export function delPenalty(id) {
    return request({
        url: '/crmAgriFisheryWaterPenalty/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPenaltyBatch(ids) {
    console.log(ids);
    return request.post('/crmAgriFisheryWaterPenalty/delete',ids)
}